boost::geometry::promote_integral< T, PromoteUnsignedToUnsigned, UseCheckedInteger, false > Class Template Reference

List of all members.

## Public Types

typedef T | type

### template<typename T, bool PromoteUnsignedToUnsigned, bool UseCheckedInteger>
class boost::geometry::promote_integral< T, PromoteUnsignedToUnsigned, UseCheckedInteger, false >

## Member Typedef Documentation

template<typename T , bool PromoteUnsignedToUnsigned, bool UseCheckedInteger>

typedef T boost::geometry::promote_integral< T, PromoteUnsignedToUnsigned, UseCheckedInteger, false >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK